# Info for our new Internet / Social network

> [https://info.ourworld.tf/duniayetu](https://info.ourworld.tf/duniayetu)

## First install hero:

```bash
# Download the hero installer script
curl https://raw.githubusercontent.com/freeflowuniverse/crystallib/development/scripts/installer_hero.sh > /tmp/hero_install.sh
# Run the script as root to properly complete the script (e.g. sudo bash ...)
bash /tmp/hero_install.sh
# Check how to use, can also do on each of the subcommands
hero -help
# If it can't find hero, do the following on osx
source ~/.zprofile 
```

There is also a [quick guide](./docs/hero_mdbook_fullvm.md) and a [script](./docs/hero_mdbook_fullvm_script.md) on setting mdbook and hero on a full VM running on the TFGrid. Read the [docs](./docs) for more information.

## to run the book


```bash
hero mdbook -u https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/heroscript

# In case you want to open the generated book and edit
hero mdbook -u https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/heroscript -e
```


## troubleshoot

### for Ubuntu, ...

```bash
apt update
apt install curl -y
```

### for OSX

if you see the following, it means you have an outdated brew on your laptop

```bash
## stderr:
Error: Cannot install under Rosetta 2 in ARM default prefix (/opt/homebrew)!
```

to fix:

```bash
#uninstall
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/uninstall.sh)"
rm -rf /opt/homebrew
#re-install homebrew
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

